Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gmime
Version:	2.4.11
Release:	1
BuildArch:	i686
Summary:	Library for creating and parsing MIME messages
Group:		System/Libraries
License:	GNU/GPL
URL:		http://spruce.sourceforge.net/gmime/
Source0:	http://spruce.sourceforge.net/gmime/sources/v2.2/gmime-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk-sharp-devel gtk-sharp-gapi
BuildRequires: mono-core-devel
BuildRequires: zlib-devel

%description
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME).

%package	devel
Summary:	Header files to develop libgmime applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib-devel

%description	devel
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME). The devel-package contains header files
to develop applications that use libgmime.

%package	sharp
Summary:	mono bindings for gmime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-sharp

%description	sharp
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME). The devel-package contains support 
for developing mono applications that use libgmime.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q

%build
cp %{_datadir}/gettext/config.rpath .
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
MONO_ARGS="--enable-mono"

%configure $MONO_ARGS
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

# Don't conflict with sharutils:
mv $RPM_BUILD_ROOT%{_bindir}/uuencode $RPM_BUILD_ROOT%{_bindir}/gmime-uuencode
mv $RPM_BUILD_ROOT%{_bindir}/uudecode $RPM_BUILD_ROOT%{_bindir}/gmime-uudecode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/gmime-uu*
%_libdir/lib*.so.*

%files devel
%defattr(-,root,root,-)
%_libdir/lib*.a
%_libdir/lib*.la
%_libdir/lib*.so
%_pkgconfig/gmime-*.pc
%_includedir
%_datadir/gtk-doc

%files sharp
%defattr(-,root,root,-)
%_pkgconfig/gmime-sharp-*.pc
%_libdir/mono/gac/gmime-sharp
%_libdir/mono/gmime-sharp-*

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.11-1
- Version update
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 2.4.5-1
- Version update
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.2.3-3
- rebuild against mono 1.2.5.2
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.2.3-2
- added mono files
* Fri Dec 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.3-1
- Initial release
